## mx-tweak 25.08.03mx25

=== debian/changelog ===
mx-tweak (25.08.03mx25) mx; urgency=medium

  [AK-47]
  * build system updates
  * generalize translations
  [Dolphin Oracle]
  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 30 Aug 2025 21:46:40 -0400

mx-tweak (25.08.02mx25) mx; urgency=medium
  
  [AK-47]
  * interface updates
  * modularize code
  * CMake support
  * optimazations
  [Dolphin Oracle]
  * add explicit dark mode switch
  * translation updates
  [Adrian]
  * build system updates

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 29 Aug 2025 19:53:28 -0400

mx-tweak (25.08.01mx25) mx; urgency=medium

  * revise ligthdm reset for trixie

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 11 Aug 2025 17:21:56 -0400

mx-tweak (25.07.01mx25) mx; urgency=medium

  * filter out README files from fluxbox style areas

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 29 Jul 2025 21:56:09 -0400

mx-tweak (25.04.04mx25) mx; urgency=medium

  * filter out attribution file from fluxbox style choosing 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 28 Apr 2025 19:10:54 -0400

mx-tweak (25.04.03mx25) mx; urgency=medium

  * adjust location of fluxbox styles searches
  * remember state of legacy checkbox

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 25 Apr 2025 21:17:16 -0400

mx-tweak (25.04.02mx25) mx; urgency=medium

  * add legacy style checkbox to fluxbox theme tab

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 24 Apr 2025 20:50:21 -0400

mx-tweak (25.04.01mx25) mx; urgency=medium

  * fix combo box index change signals

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 06 Apr 2025 17:11:28 -0400

mx-tweak (25.03.01mx25) mx; urgency=medium

  * qt6 build

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 22 Mar 2025 21:00:18 -0400

## mx-tweak 25.09.01mx25

=== debian/changelog ===
mx-tweak (25.09.01mx25) mx; urgency=medium

  * update lightdm reset function path
  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 09 Sep 2025 20:04:06 -0400

## mx-tweak 25.09.02mx25

=== debian/changelog ===
mx-tweak (25.09.02mx25) mx; urgency=medium

  * restart fluxbox after changing cursor size
  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 22 Sep 2025 21:04:34 -0400

## mx-tweak 25.09.03mx25

=== debian/changelog ===
mx-tweak (25.09.03mx25) mx; urgency=medium

  * only setup display tab on Xfce where its shown
  * only display compositor on Xfce

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 23 Sep 2025 20:12:10 -0400

## mx-tweak 25.10.01mx25

=== debian/changelog ===
mx-tweak (25.10.01mx25) mx; urgency=medium

  * fix bluetooth enable-disable function

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 04 Oct 2025 21:49:51 -0400

mx-tweak (25.09.04mx25) mx; urgency=medium

  * restore brightness control in tray mode

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 26 Sep 2025 19:57:43 -0400

## mx-tweak 25.10.02mx25

=== debian/changelog ===
mx-tweak (25.10.02mx25) mx; urgency=medium

  * add NotShownIn=KDE  to brightness systray desktop file

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Tue, 07 Oct 2025 22:58:27 -0400

## mx-tweak 25.10.03mx25

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.31 FATAL_ERROR)
include(build.cmake)

project(mx-tweak
	VERSION 3.0
	DESCRIPTION "Desktop configuration tool for MX Linux"
	LANGUAGES CXX
)

find_package(Qt6 6.8 REQUIRED COMPONENTS Core Gui Widgets LinguistTools)

set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 20)
#set(CMAKE_CXX_SCAN_FOR_MODULES ON)

qt_standard_project_setup()

qt_add_executable(mx-tweak
	about.cpp about.h
	brightness_small.cpp brightness_small.h
	cmd.cpp cmd.h
	main.cpp
	remove_user_theme_set.cpp remove_user_theme_set.h
	theming_to_tweak.cpp theming_to_tweak.h
	tweak.cpp tweak.h
	tweak_compositor.cpp tweak_compositor.h
	tweak_display.cpp tweak_display.h
	tweak_fluxbox.cpp tweak_fluxbox.h
	tweak_misc.cpp tweak_misc.h
	tweak_plasma.cpp tweak_plasma.h
	tweak_superkey.cpp tweak_superkey.h
	tweak_theme.cpp tweak_theme.h
	tweak_thunar.cpp tweak_thunar.h
	tweak_xfce.cpp tweak_xfce.h
	tweak_xfce_panel.cpp tweak_xfce_panel.h
	window_buttons.cpp window_buttons.h
	xfwm_compositor_settings.cpp xfwm_compositor_settings.h
	images.qrc
)
qt_add_ui(mx-tweak SOURCES
	brightness_small.ui
	remove_user_theme_set.ui
	theming_to_tweak.ui
	tweak.ui
	window_buttons.ui
	xfwm_compositor_settings.ui
)
#target_sources(mx-tweak PRIVATE FILE_SET CXX_MODULES FILES
#	TODO: add files that are C++20 modules.
#)

target_link_libraries(mx-tweak PRIVATE
	Qt::Core
	Qt::Gui
	Qt::Widgets
)

build_compilation_setup(mx-tweak)
build_version_definition(mx-tweak VERSION)
build_translation_files(mx-tweak translations)

target_compile_definitions(mx-tweak PRIVATE
	QT_DISABLE_DEPRECATED_UP_TO=0x060800
)

include(GNUInstallDirs)
install(TARGETS mx-tweak
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

=== build/GCC_configuration_CMake_preset_b550a9-Debug/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.31

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/dolphin/development/mx-tweak

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/dolphin/development/mx-tweak/build/GCC_configuration_CMake_preset_b550a9-Debug

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/dolphin/development/mx-tweak/build/GCC_configuration_CMake_preset_b550a9-Debug/CMakeFiles /home/dolphin/development/mx-tweak/build/GCC_configuration_CMake_preset_b550a9-Debug//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/dolphin/development/mx-tweak/build/GCC_configuration_CMake_preset_b550a9-Debug/CMakeFiles 0
.PHONY : all

# The main codegen target
codegen: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/dolphin/development/mx-tweak/build/GCC_configuration_CMake_preset_b550a9-Debug/CMakeFiles /home/dolphin/development/mx-tweak/build/GCC_configuration_CMake_preset_b550a9-Debug//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 codegen
	$(CMAKE_COMMAND) -E cmake_progress_start /home/dolphin/development/mx-tweak/build/GCC_configuration_CMake_preset_b550a9-Debug/CMakeFiles 0
.PHONY : codegen

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named mx-tweak

# Build rule for target.
mx-tweak: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mx-tweak
.PHONY : mx-tweak

# fast build rule for target.
mx-tweak/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak.dir/build.make CMakeFiles/mx-tweak.dir/build
.PHONY : mx-tweak/fast

#=============================================================================
# Target rules for targets named mx-tweak_ui_property_check

# Build rule for target.
mx-tweak_ui_property_check: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mx-tweak_ui_property_check
.PHONY : mx-tweak_ui_property_check

# fast build rule for target.
mx-tweak_ui_property_check/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak_ui_property_check.dir/build.make CMakeFiles/mx-tweak_ui_property_check.dir/build
.PHONY : mx-tweak_ui_property_check/fast

#=============================================================================
# Target rules for targets named mx-tweak_lupdate

# Build rule for target.
mx-tweak_lupdate: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mx-tweak_lupdate
.PHONY : mx-tweak_lupdate

# fast build rule for target.
mx-tweak_lupdate/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak_lupdate.dir/build.make CMakeFiles/mx-tweak_lupdate.dir/build
.PHONY : mx-tweak_lupdate/fast

#=============================================================================
# Target rules for targets named update_translations

# Build rule for target.
update_translations: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 update_translations
.PHONY : update_translations

# fast build rule for target.
update_translations/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/update_translations.dir/build.make CMakeFiles/update_translations.dir/build
.PHONY : update_translations/fast

#=============================================================================
# Target rules for targets named mx-tweak_lrelease

# Build rule for target.
mx-tweak_lrelease: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mx-tweak_lrelease
.PHONY : mx-tweak_lrelease

# fast build rule for target.
mx-tweak_lrelease/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak_lrelease.dir/build.make CMakeFiles/mx-tweak_lrelease.dir/build
.PHONY : mx-tweak_lrelease/fast

#=============================================================================
# Target rules for targets named release_translations

# Build rule for target.
release_translations: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 release_translations
.PHONY : release_translations

# fast build rule for target.
release_translations/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/release_translations.dir/build.make CMakeFiles/release_translations.dir/build
.PHONY : release_translations/fast

#=============================================================================
# Target rules for targets named mx-tweak_autogen_timestamp_deps

# Build rule for target.
mx-tweak_autogen_timestamp_deps: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mx-tweak_autogen_timestamp_deps
.PHONY : mx-tweak_autogen_timestamp_deps

# fast build rule for target.
mx-tweak_autogen_timestamp_deps/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak_autogen_timestamp_deps.dir/build.make CMakeFiles/mx-tweak_autogen_timestamp_deps.dir/build
.PHONY : mx-tweak_autogen_timestamp_deps/fast

#=============================================================================
# Target rules for targets named mx-tweak_autogen

# Build rule for target.
mx-tweak_autogen: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 mx-tweak_autogen
.PHONY : mx-tweak_autogen

# fast build rule for target.
mx-tweak_autogen/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak_autogen.dir/build.make CMakeFiles/mx-tweak_autogen.dir/build
.PHONY : mx-tweak_autogen/fast

about.o: about.cpp.o
.PHONY : about.o

# target to build an object file
about.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak.dir/build.make CMakeFiles/mx-tweak.dir/about.cpp.o
.PHONY : about.cpp.o

about.i: about.cpp.i
.PHONY : about.i

# target to preprocess a source file
about.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak.dir/build.make CMakeFiles/mx-tweak.dir/about.cpp.i
.PHONY : about.cpp.i

about.s: about.cpp.s
.PHONY : about.s

# target to generate assembly for a file
about.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak.dir/build.make CMakeFiles/mx-tweak.dir/about.cpp.s
.PHONY : about.cpp.s

brightness_small.o: brightness_small.cpp.o
.PHONY : brightness_small.o

# target to build an object file
brightness_small.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak.dir/build.make CMakeFiles/mx-tweak.dir/brightness_small.cpp.o
.PHONY : brightness_small.cpp.o

brightness_small.i: brightness_small.cpp.i
.PHONY : brightness_small.i

# target to preprocess a source file
brightness_small.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak.dir/build.make CMakeFiles/mx-tweak.dir/brightness_small.cpp.i
.PHONY : brightness_small.cpp.i

brightness_small.s: brightness_small.cpp.s
.PHONY : brightness_small.s

# target to generate assembly for a file
brightness_small.cpp.s:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak.dir/build.make CMakeFiles/mx-tweak.dir/brightness_small.cpp.s
.PHONY : brightness_small.cpp.s

cmd.o: cmd.cpp.o
.PHONY : cmd.o

# target to build an object file
cmd.cpp.o:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak.dir/build.make CMakeFiles/mx-tweak.dir/cmd.cpp.o
.PHONY : cmd.cpp.o

cmd.i: cmd.cpp.i
.PHONY : cmd.i

# target to preprocess a source file
cmd.cpp.i:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/mx-tweak.dir/build.make CMakeFiles/mx-tweak.dir/cmd.cpp.i
.PHONY : cmd.cpp.i

cmd.s: cmd.cpp.s
.PHONY : cmd.s

# target to generate assembly for a file
cmd.cpp.s:

=== debian/changelog ===
mx-tweak (25.10.03mx25) mx; urgency=medium

  * update xrandr scale set utility, xfce 4.20 uses a single value

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Thu, 16 Oct 2025 21:34:08 -0400

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	cmake --preset default

override_dh_auto_clean:
	dh_auto_clean

override_dh_auto_build:
	cmake --build --preset default

override_dh_auto_test:
	# Skip tests as no test targets are defined

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/mx-tweak ninja -C _build_ install

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

%:
	dh $@ --buildsystem=cmake+ninja --no-automatic-dbgsym

## mx-tweak 25.10.04mx25

=== debian/changelog ===
mx-tweak (25.10.04mx25) mx; urgency=medium

  * fix dark mode checkbox action
  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 27 Oct 2025 18:34:53 -0400

## mx-tweak 25.10.05mx25

=== debian/changelog ===
mx-tweak (25.10.05mx25) mx; urgency=medium

  * refresh themes and panel if applets are used

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 31 Oct 2025 19:33:32 -0400

## mx-tweak 25.11.01mx25

=== debian/changelog ===
mx-tweak (25.11.01mx25) mx; urgency=medium

  * update translations
  * improve panel-preferences window detection

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 01 Nov 2025 10:53:39 -0400

## mx-tweak 25.11.02mx25

=== debian/changelog ===
mx-tweak (25.11.02mx25) mx; urgency=medium

  * translations update

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 05 Nov 2025 21:03:51 -0500

=== debian/control ===
Source: mx-tweak
Section: admin
Priority: optional
Maintainer: dolphinoracle <dolphinoracle@gmail.com>
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.31),
               ninja-build (>= 1.12),
               qt6-base-dev,
               qt6-base-dev-tools,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/MX-Linux/mx-tweak
Homepage: https://github.com/MX-Linux/mx-tweak

Package: mx-tweak
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         mx-viewer | xdg-utils,
         mx-tweak-data,
         libglib2.0-bin,
         qt6-svg-plugins
Recommends: picom,
            picom-conf,
            preview-mx,
            mx-launcher-l10n
Description: Desktop configuration tool for MX Linux
 MX Tweak is a graphical utility that allows users to easily customize
 and configure the Xfce desktop environment in MX Linux. It provides
 a user-friendly interface for:
  * Adjusting desktop appearance and behavior
  * Configuring panel layouts and themes
  * Fine-tuning system performance settings
  * Managing compositor effects

## mx-tweak 26.01.02mx25

=== debian/changelog ===
mx-tweak (26.01.02mx25) MX; urgency=medium

  * chooser for sysvinit or systemd as "default" init system
  * affects top level grub entry
  * update translations

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 24 Jan 2026 20:42:24 -0500
